// Fetch_perslid_list.js
// Maakt een lijst van personen aan die over de omgevingen die onderdeel uitmaken van een XD configuratie
// gekopieerd moeten worden.
//
// $Revision$
// $Id$

try
{
   var fileName       = "xd_perslid_list.xml";
   var XMLReq         = "";
   var objXMLHTTP     = new ActiveXObject("MSXML2.ServerXMLHTTP.6.0")

   var SXH_OPTION_SELECT_CLIENT_SSL_CERT = 3;

   objXMLHTTP.open("POST",
                   "https://venr.facilitor.nl/?API=PRS_SYNC&APIKEY=JnAXUHijEkdhfCnmcypEHkGNWuGqCUXh",
                   false,
                   "",
                   "");

   objXMLHTTP.setRequestHeader("Content-Type", "text/xml; charset=utf-8");
   objXMLHTTP.send(XMLReq);

   if (objXMLHTTP.status==200)
   {  // Geldigheid XML wordt gecontroleerd door GEN_IMPORT
      WScript.Echo("Gelukt, status = " + objXMLHTTP.status);
      responseText = "" + objXMLHTTP.responseText;
      //WScript.Echo("resultaat = " + resultaat.indexOf("<ErrorLog><Note>Geen items gevonden</Note></ErrorLog>"));
      //if resultaat.substr("<ErrorLog><Note>Geen items gevonden</Note></ErrorLog>")
      if (responseText.indexOf("<ErrorLog><Note>Geen items gevonden</Note></ErrorLog>") == -1)
      {  oStream = new ActiveXObject("ADODB.Stream");
         oStream.Open();
         oStream.Type = 1; // adTypeBinary
         oStream.Write(objXMLHTTP.responseBody); // responseText geeft encoding problemen!
         oStream.SaveToFile (fileName, 2); // adSaveCreateOverWrite
         oStream.Close();
      }
   }
   else
   {
      WScript.Echo("Mislukt, status = " + objXMLHTTP.status);
      WScript.Echo(objXMLHTTP.statusText);
   }
}
catch (e)
{
   WScript.Echo("Serieuze fout in Fetch_perslid_list.js: " + e.description)
   WScript.Quit(1);
}
